aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig/tasks/major_upgrade_object_storage.sh
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2016-03-07 07:55:56 +0000
committerGerrit Code Review <review@openstack.org>2016-03-07 07:55:56 +0000
commit63bc11d37148b696cbb44784abeebf725778453e (patch)
tree683b5e38dee4a7a5c7f20247f1eab1f82e5aafa2 /extraconfig/tasks/major_upgrade_object_storage.sh
parent00e47eaf5b4d00ca59a8ce75a7f7a9a928dbf5c7 (diff)
parentc78a215ae9cd02a47e46b4d302f2a275ccce1693 (diff)
Merge "Introduce a UpgradeScriptDeliveryWorfklow as part of tripleo upgrades"
Diffstat (limited to 'extraconfig/tasks/major_upgrade_object_storage.sh')
-rw-r--r--extraconfig/tasks/major_upgrade_object_storage.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/extraconfig/tasks/major_upgrade_object_storage.sh b/extraconfig/tasks/major_upgrade_object_storage.sh
new file mode 100644
index 00000000..0f6d091e
--- /dev/null
+++ b/extraconfig/tasks/major_upgrade_object_storage.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# This delivers the swift-storage upgrade script to be invoked as part of the tripleo
+# major upgrade workflow.
+#
+set -eu
+
+UPGRADE_SCRIPT=/root/tripleo_upgrade_node.sh
+
+cat > $UPGRADE_SCRIPT << ENDOFCAT
+### DO NOT MODIFY THIS FILE
+### This file is automatically delivered to the swift-storage nodes as part of the
+### tripleo upgrades workflow
+
+
+function systemctl_swift {
+ action=$1
+ for S in openstack-swift-account-auditor openstack-swift-account-reaper openstack-swift-account-replicator openstack-swift-account \
+ openstack-swift-container-auditor openstack-swift-container-replicator openstack-swift-container-updater openstack-swift-container \
+ openstack-swift-object-auditor openstack-swift-object-replicator openstack-swift-object-updater openstack-swift-object openstack-swift-proxy; do
+ systemctl $action $S
+ done
+}
+
+
+systemctl_swift stop
+
+yum -y update
+
+systemctl_swift start
+
+
+
+ENDOFCAT
+
+# ensure the permissions are OK
+chmod 0755 $UPGRADE_SCRIPT
+